Package com.ocient.jdbc.proto

# Class PlanProtocol.LimitOperator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.LimitOperator.Builder>
com.ocient.jdbc.proto.PlanProtocol.LimitOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.LimitOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.LimitOperator

    public static final class PlanProtocol.LimitOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.LimitOperator.Builder>
    implements PlanProtocol.LimitOperatorOrBuilder

    Keep only the first n rows

Protobuf type `xg.db.sqlPlans.LimitOperator`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.LimitOperator.Builder` | `addAllGroupingKeys​(Iterable<String> values)` | And these are the grouping keys
`PlanProtocol.LimitOperator.Builder` | `addGroupingKeys​(String value)` | And these are the grouping keys
`PlanProtocol.LimitOperator.Builder` | `addGroupingKeysBytes​(com.google.protobuf.ByteString value)` | And these are the grouping keys
`PlanProtocol.LimitOperator.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.LimitOperator` | `build()` |
`PlanProtocol.LimitOperator` | `buildPartial()` |
`PlanProtocol.LimitOperator.Builder` | `clear()` |
`PlanProtocol.LimitOperator.Builder` | `clearExactlyOne()` | `bool exactlyOne = 2;`
`PlanProtocol.LimitOperator.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.LimitOperator.Builder` | `clearGrouped()` | If true, this is a grouped limit as is used by correlated subqueries
`PlanProtocol.LimitOperator.Builder` | `clearGroupingKeys()` | And these are the grouping keys
`PlanProtocol.LimitOperator.Builder` | `clearLimitVal()` | `uint64 limitVal = 1;`
`PlanProtocol.LimitOperator.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.LimitOperator.Builder` | `clone()` |
`PlanProtocol.LimitOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`boolean` | `getExactlyOne()` | `bool exactlyOne = 2;`
`boolean` | `getGrouped()` | If true, this is a grouped limit as is used by correlated subqueries
`String` | `getGroupingKeys​(int index)` | And these are the grouping keys
`com.google.protobuf.ByteString` | `getGroupingKeysBytes​(int index)` | And these are the grouping keys
`int` | `getGroupingKeysCount()` | And these are the grouping keys
`com.google.protobuf.ProtocolStringList` | `getGroupingKeysList()` | And these are the grouping keys
`long` | `getLimitVal()` | `uint64 limitVal = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.LimitOperator.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.LimitOperator.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.LimitOperator.Builder` | `mergeFrom​(PlanProtocol.LimitOperator other)` |
`PlanProtocol.LimitOperator.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.LimitOperator.Builder` | `setExactlyOne​(boolean value)` | `bool exactlyOne = 2;`
`PlanProtocol.LimitOperator.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.LimitOperator.Builder` | `setGrouped​(boolean value)` | If true, this is a grouped limit as is used by correlated subqueries
`PlanProtocol.LimitOperator.Builder` | `setGroupingKeys​(int index, String value)` | And these are the grouping keys
`PlanProtocol.LimitOperator.Builder` | `setLimitVal​(long value)` | `uint64 limitVal = 1;`
`PlanProtocol.LimitOperator.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.LimitOperator.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.LimitOperator.Builder>`

### clear

public PlanProtocol.LimitOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.LimitOperator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.LimitOperator.Builder>`

### getDefaultInstanceForType

public PlanProtocol.LimitOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.LimitOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.LimitOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.LimitOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.LimitOperator.Builder>`

### setField

public PlanProtocol.LimitOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.LimitOperator.Builder>`

### clearField

public PlanProtocol.LimitOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.LimitOperator.Builder>`

### clearOneof

public PlanProtocol.LimitOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.LimitOperator.Builder>`

### setRepeatedField

public PlanProtocol.LimitOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.LimitOperator.Builder>`

### addRepeatedField

public PlanProtocol.LimitOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.LimitOperator.Builder>`

### mergeFrom

public PlanProtocol.LimitOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.LimitOperator.Builder>`

### mergeFrom

public PlanProtocol.LimitOperator.Builder mergeFrom​(PlanProtocol.LimitOperator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.LimitOperator.Builder>`

### mergeFrom

public PlanProtocol.LimitOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.LimitOperator.Builder>`
Throws:
  `IOException`

### getLimitVal

public long getLimitVal()
`uint64 limitVal = 1;`

Specified by:
  `getLimitVal` in interface `PlanProtocol.LimitOperatorOrBuilder`

### setLimitVal

public PlanProtocol.LimitOperator.Builder setLimitVal​(long value)
`uint64 limitVal = 1;`

### clearLimitVal

public PlanProtocol.LimitOperator.Builder clearLimitVal()
`uint64 limitVal = 1;`

### getExactlyOne

public boolean getExactlyOne()
`bool exactlyOne = 2;`

Specified by:
  `getExactlyOne` in interface `PlanProtocol.LimitOperatorOrBuilder`

### setExactlyOne

public PlanProtocol.LimitOperator.Builder setExactlyOne​(boolean value)
`bool exactlyOne = 2;`

### clearExactlyOne

public PlanProtocol.LimitOperator.Builder clearExactlyOne()
`bool exactlyOne = 2;`

### getGrouped

public boolean getGrouped()

    If true, this is a grouped limit as is used by correlated subqueries

`bool grouped = 3;`

Specified by:
  `getGrouped` in interface `PlanProtocol.LimitOperatorOrBuilder`

### setGrouped

public PlanProtocol.LimitOperator.Builder setGrouped​(boolean value)

    If true, this is a grouped limit as is used by correlated subqueries

`bool grouped = 3;`

### clearGrouped

public PlanProtocol.LimitOperator.Builder clearGrouped()

    If true, this is a grouped limit as is used by correlated subqueries

`bool grouped = 3;`

### getGroupingKeysList

public com.google.protobuf.ProtocolStringList getGroupingKeysList()

    And these are the grouping keys

`repeated string groupingKeys = 4;`

Specified by:
  `getGroupingKeysList` in interface `PlanProtocol.LimitOperatorOrBuilder`

### getGroupingKeysCount

public int getGroupingKeysCount()

    And these are the grouping keys

`repeated string groupingKeys = 4;`

Specified by:
  `getGroupingKeysCount` in interface `PlanProtocol.LimitOperatorOrBuilder`

### getGroupingKeys

public String getGroupingKeys​(int index)

    And these are the grouping keys

`repeated string groupingKeys = 4;`

Specified by:
  `getGroupingKeys` in interface `PlanProtocol.LimitOperatorOrBuilder`

### getGroupingKeysBytes

public com.google.protobuf.ByteString getGroupingKeysBytes​(int index)

    And these are the grouping keys

`repeated string groupingKeys = 4;`

Specified by:
  `getGroupingKeysBytes` in interface `PlanProtocol.LimitOperatorOrBuilder`

### setGroupingKeys

public PlanProtocol.LimitOperator.Builder setGroupingKeys​(int index, String value)

    And these are the grouping keys

`repeated string groupingKeys = 4;`

### addGroupingKeys

public PlanProtocol.LimitOperator.Builder addGroupingKeys​(String value)

    And these are the grouping keys

`repeated string groupingKeys = 4;`

### addAllGroupingKeys

public PlanProtocol.LimitOperator.Builder addAllGroupingKeys​(Iterable<String> values)

    And these are the grouping keys

`repeated string groupingKeys = 4;`

### clearGroupingKeys

public PlanProtocol.LimitOperator.Builder clearGroupingKeys()

    And these are the grouping keys

`repeated string groupingKeys = 4;`

### addGroupingKeysBytes

public PlanProtocol.LimitOperator.Builder addGroupingKeysBytes​(com.google.protobuf.ByteString value)

    And these are the grouping keys

`repeated string groupingKeys = 4;`

### setUnknownFields

public final PlanProtocol.LimitOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.LimitOperator.Builder>`

### mergeUnknownFields

public final PlanProtocol.LimitOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.LimitOperator.Builder>`